Subject: bug#13949: 24.4.1; `fill-paragraph' should not always put the buffer as modified

From: Jaakov <[email-masked]>
Date: Tue, 22 Mar 2016 19:42:11 +0100

On 03/22/2016 07:31 PM, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Jaakov <[email-masked]>
>> Date: Tue, 22 Mar 2016 18:40:13 +0100
>>
>>> I disagree.  I think Dani is right: the buffer text is changed (at
>>> least twice), which turns on the modified flag.  This situation is
>>> equivalent to inserting a character and then deleting it: the buffer
>>> stays modified, although its text is identical to the original one.
>>>
>> Objection for the following reason:
>> - It's a human who types in and deletes a charter.
>> - fill-paragraph is not a human, but a routine.
>
> We obviously disagree.

I don't consider the previous argument for disagreement valid for the 
mentioned reasons.